%define	name	unison
%define	version	2.17.1
%define release	3

Summary:	Unison is a file-synchronization tool for Unix and Windows
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		File tools
Requires:	openssh-clients x11-font-schumacher-misc rsync
BuildRequires:	ocaml-lablgtk2-devel gtk+2-devel glib2-devel pango-devel emacs-bin
Source0:	http://www.cis.upenn.edu/~bcpierce/unison/download/release/%name-%version/%name-%version.tar.bz2
URL:		http://www.cis.upenn.edu/~bcpierce/unison/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Unison is a file-synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, and then brought up to date by propagating the changes in
each replica to the other. Unlike simple mirroring or backup
utilities, Unison can deal with updates to both replicas of a
distributed directory structure. Updates that do not conflict are
propagated automatically.  Conflicting updates are detected and
displayed. Unison can synchronize either locally (between volumes
mounted on the same computer) or remotely,between any pair of machines
connected to the internet, communicating over either a direct socket
link or tunneling over an rsh or an encrypted ssh connection. It is
careful with network bandwidth, and runs well over slow links such as
PPP connections. Unison is available for both Windows (95/98/NT/2K)
and Unix (Linux, Solaris). Moreover, Unison works across platforms,
allowing you to synchronize a Windows laptop with a Unix server, for
example.

%prep
%setup -q

%build
make THREADS=true

%install
rm -rf $RPM_BUILD_ROOT
install -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Internet-FileTransfer;Network;FileTransfer;P2P;
Encoding=UTF-8
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS TODO.txt README CONTRIB
%{_bindir}/*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Sat Mar 17 2007 Emmanuel Andry <eandry@mandriva.org> 2.17.1-3mdv2007.1
+ Revision: 145517
- enable threads
- requires x11-font-schumacher-misc (bug #24811)
- requires rsync

* Fri Jan 05 2007 Emmanuel Andry <eandry@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 104646
- New version 2.17.1
  fix source URL
- Import unison



* Sun Aug 27 2006 Emmanuel Andry <eandry@mandriva.org> 2.13.16-2mdv2007.0
- switch to gtk+2
- xdg menu

* Thu Aug 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.13.16-1mdk
- 2.13.16
- %%mkrel
- wipe out buildroot at the beginning of %%install

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 2.12.0-1mdk
- 2.12.0

* Thu Apr 22 2004 Götz Waschk <waschk@linux-mandrake.com> 2.9.1-7mdk
- fix buildrequires

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9.1-6mdk
- buildrequires
- quiet setup
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install, not %%prep

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.9.1-5mdk
- rebuild

* Thu Jan 23 2003 lenny@mandrakesoft.com 2.9.1-4mdk
- rebuild

* Wed Aug  7 2002 Pixel <pixel@mandrakesoft.com> 2.9.1-3mdk
- enable gtk 

* Wed Aug 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.9.1-2mdk 
- sync with real first spec (my fault), then fix chanlog list
- 2.9.1
- disable gtk, compil failed (seg fault)

* Wed Aug 07 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.9.1-1mdk
- 1st mdk package

* Fri Oct  5 2001 Pixel <pixel@mandrakesoft.com> 2.7.7-2mdk
- use gtk frontend

* Fri Oct  5 2001 Pixel <pixel@mandrakesoft.com> 2.7.7-1mdk
- new version

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1-2mdk
- rebuild

* Thu Sep  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1-1mdk
- first mandrake release
